Skip to main content

Live & Schedule (7 endpoints)

Live Games

GET /api/live
Curated live games with teams, scores, and set info.

Live (All)

GET /api/live/all
Raw live data for all volleyball games.

Today’s Games

GET /api/today

Schedule by Date

GET /api/schedule/:date
Date format: YYYY-MM-DD. Example: GET /api/schedule/2026-03-12

Live Tournaments

GET /api/live-tournaments
Leagues with live games right now.

Scheduled Tournaments

GET /api/scheduled-tournaments/:date
Leagues with games on a specific date.

Newly Added Events

GET /api/newly-added-events

Response Example — /api/live

{
  "events": [
    {
      "id": 12345678,
      "homeTeam": { "id": 3001, "name": "Brazil" },
      "awayTeam": { "id": 3002, "name": "Poland" },
      "homeScore": {
        "current": 2,
        "display": 2,
        "period1": 25,
        "period2": 21,
        "period3": 25,
        "period4": 0
      },
      "awayScore": {
        "current": 1,
        "display": 1,
        "period1": 23,
        "period2": 25,
        "period3": 20,
        "period4": 0
      },
      "status": { "code": 14, "description": "4th Set", "type": "inprogress" },
      "tournament": { "name": "FIVB World Championship", "id": 320 },
      "startTimestamp": 1737331200
    }
  ]
}

Score Fields

FieldDescription
period1period5Points scored in each set (sets to 25, 5th set to 15)
currentSets won (0–3)
displaySets won

Status Codes

CodeDescription
0Not started
111st Set
122nd Set
133rd Set
144th Set
155th Set
31Set Break
100Ended

Search & Discovery (7 endpoints)

GET /api/search?q=brazil
Search teams, players, and tournaments.

Countries / Categories

GET /api/countries
Volleyball categories and countries (37 categories).

Countries (Extended)

GET /api/countries/all

Category Tournaments

GET /api/categories/:categoryId/tournaments
Leagues in a country/category.
GET /api/trending-players

Volleyball News

GET /api/news?lang=en

Country Flag

GET /api/country/:code/flag
Last modified on April 12, 2026